---
- name: Provision xnat-host
  hosts: xnat-host
  become: true
  remote_user: "{{ ansible_controller_user|default('cloud') }}"
  collections:
    - mi.xnat
  tasks:
  roles:
    - common
    - nginx
    - certbot
    - pgbouncer
    - xnat
    - xnat_openid_auth_plugin
    - nfs_server
    - nagios_nrpe_server

- name: Provision docker-host
  hosts: docker-host
  become: true
  remote_user: "{{ ansible_controller_user|default('cloud') }}"
  collections:
    - mi.xnat
  roles:
    - common
    - dockerd
    - nfs_client
    - nagios_nrpe_server
